Get Dynamic Message Doc (with provenance)
GET /obp/v7.0.0/management/dynamic-message-docs/DYNAMIC_MESSAGE_DOC_ID
OBPv7.0.0-getDynamicMessageDocProvenance Roles: CanGetDynamicMessageDoc Dynamic-Message-Doc
Returns the Dynamic Message Doc specified by DYNAMIC_MESSAGE_DOC_ID, wrapped with a provenance object (created_by_user_id, updated_by_user_id, method_body_hash, created_at, updated_at).
This is the v7.0.0 read view of the v4.0.0 Dynamic Message Doc; create / update / delete remain on v4.0.0.
User Authentication is Required. The User must be logged in. The Application must also be authenticated.
URL Parameters:
DYNAMIC_MESSAGE_DOC_ID:
JSON response body fields (8)
- description
- Description of the object. Maximum length is 2000. It can be any characters here.
- dynamic_message_doc
- dynamic_message_doc
- process
- obp.getBank
- provenance
- provenance
- created_at
- created_at
- created_by_user_id
- method_body_hash
- method_body_hash
- updated_at
- updated_at
Example success response
{
"dynamic_message_doc": {
"adapter_implementation": "",
"example_inbound_message": {},
"message_format": "",
"programming_lang": "Scala",
"example_outbound_message": {},
"bank_id": "gh.29.uk",
"dynamic_message_doc_id": "",
"inbound_avro_schema": "",
"method_body": "%20%20%20%20%20%20Future.successful%28%0A%20%20%20%20%20%20%20%20Full%28%28BankCommons%28%0A%20%20%20%20%20%20%20%20%20%20BankId%28%22Hello%20bank%20id%22%29%2C%0A%20%20%20%20%20%20%20%20%20%20%221%22%2C%0A%20%20%20%20%20%20%20%20%20%20%221%22%2C%0A%20%20%20%20%20%20%20%20%20%20%221%22%2C%0A%20%20%20%20%20%20%20%20%20%20%221%22%2C%0A%20%20%20%20%20%20%20%20%20%20%221%22%2C%0A%20%20%20%20%20%20%20%20%20%20%221%22%2C%0A%20%20%20%20%20%20%20%20%20%20%221%22%2C%0A%20%20%20%20%20%20%20%20%20%20%228%22%0A%20%20%20%20%20%20%20%20%29%2C%20None%29%29%0A%20%20%20%20%20%20%29",
"outbound_topic": "",
"inbound_topic": "",
"description": "Description of the object. Maximum length is 2000. It can be any characters here.",
"process": "obp.getBank",
"outbound_avro_schema": ""
},
"provenance": {
"created_by_user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1",
"method_body_hash": "9f86d081884c7d659a2feaa0c55ad015a3bf4f1b2b0b822cd15d6c15b0f00a08",
"created_at": "1100-01-01T01:01:01.000Z",
"updated_at": "1100-01-01T01:01:01.000Z"
}
}Possible errors (4)
- OBP-20001: User not logged in. Authentication is required!
- OBP-20006: User is missing one or more roles:
- OBP-40043: DynamicMessageDoc not found, please specify valid DYNAMIC_MESSAGE_DOC_ID.
- OBP-50000: Unknown Error.